Vulnerability   
Search   
    Search 211766 CVE descriptions
and 97459 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.1.4.2018.2752.1
Category:SuSE Local Security Checks
Title:SUSE: Security Advisory (SUSE-SU-2018:2752-1)
Summary:The remote host is missing an update for the 'webkit2gtk3' package(s) announced via the SUSE-SU-2018:2752-1 advisory.
Description:Summary:
The remote host is missing an update for the 'webkit2gtk3' package(s) announced via the SUSE-SU-2018:2752-1 advisory.

Vulnerability Insight:
This update for webkit2gtk3 to version 2.20.5 fixes the following issues:

Security issue fixed:
CVE-2018-12911: Fix off-by-one in xdg_mime_get_simple_globs
(bsc#1101999).

CVE-2018-4261, CVE-2018-4262, CVE-2018-4263, CVE-2018-4264,
CVE-2018-4265, CVE-2018-4267, CVE-2018-4272, CVE-2018-4284: Processing
maliciously crafted web content may lead to arbitrary code execution. A
memory corruption issue was addressed with improved memory handling.

CVE-2018-4266: A malicious website may be able to cause a denial of
service. A race condition was addressed with additional validation.

CVE-2018-4270, CVE-2018-4271, CVE-2018-4273: Processing maliciously
crafted web content may lead to an unexpected application crash. A
memory corruption issue was addressed with improved input validation.

CVE-2018-4278: A malicious website may exfiltrate audio data
cross-origin. Sound fetched through audio elements may be exfiltrated
cross-origin. This issue was addressed with improved audio taint
tracking.

Other bugs fixed:
Fix rendering artifacts in some web sites due to a bug introduced in
2.20.4.

Fix a crash when leaving accelerated compositing mode.

Fix non-deterministic build failure due to missing
JavaScriptCore/JSContextRef.h.

Affected Software/OS:
'webkit2gtk3' package(s) on SUSE Linux Enterprise Module for Desktop Applications 15, SUSE Linux Enterprise Module for Basesystem 15

Solution:
Please install the updated package(s).

CVSS Score:
7.5

CVSS Vector:
AV:N/AC:L/Au:N/C:P/I:P/A:P

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2018-4261
https://support.apple.com/kb/HT208932
https://support.apple.com/kb/HT208933
https://support.apple.com/kb/HT208934
https://support.apple.com/kb/HT208936
https://support.apple.com/kb/HT208938
Common Vulnerability Exposure (CVE) ID: CVE-2018-4262
https://security.gentoo.org/glsa/201808-04
https://support.apple.com/HT208934,
https://support.apple.com/HT208938,
http://www.securitytracker.com/id/1041232
https://usn.ubuntu.com/3743-1/
Common Vulnerability Exposure (CVE) ID: CVE-2018-4263
Common Vulnerability Exposure (CVE) ID: CVE-2018-4264
https://support.apple.com/kb/HT208935
Common Vulnerability Exposure (CVE) ID: CVE-2018-4265
Common Vulnerability Exposure (CVE) ID: CVE-2018-4266
Common Vulnerability Exposure (CVE) ID: CVE-2018-4267
Common Vulnerability Exposure (CVE) ID: CVE-2018-4270
Common Vulnerability Exposure (CVE) ID: CVE-2018-4271
Common Vulnerability Exposure (CVE) ID: CVE-2018-4272
Common Vulnerability Exposure (CVE) ID: CVE-2018-4273
Common Vulnerability Exposure (CVE) ID: CVE-2018-4278
https://support.apple.com/HT208933,
https://support.apple.com/HT208936,
Common Vulnerability Exposure (CVE) ID: CVE-2018-4284
CopyrightCopyright (C) 2021 Greenbone Networks GmbH

This is only one of 97459 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2021 E-Soft Inc. All rights reserved.